﻿local tweak_data_ref = nil
local data_path = ModPath .. "menu/settings.json"

Hooks:PreHook(CopBase, "init", "ZEAL_init", function(self, tweak_data)
	tweak_data_ref = tweak_data
	self.zealoed_menu_data = {}

	local file = io.open( data_path, "r" )
	if file then
		self.zealoed_menu_data = json.decode( file:read("*all") )
		file:close()
	end
    if not self.zealoed_menu_data.medic_rifle then self.zealoed_menu_data.medic_rifle = false end
end)

--Sets up the Medic's weapons
local medic_rifle_zeal = {
	"mp5"
}
local rifle_weapon_mapping = {
	[("units/payday2/characters/ene_medic_m4/ene_medic_m4"):key()] = medic_rifle_zeal
}

Hooks:PreHook(CopBase, "post_init", "ZEAL_post_init", function(self)
	local rifle_weapon_swap = rifle_weapon_mapping[self._unit:name():key()]

	if rifle_weapon_swap and self.zealoed_menu_data.medic_rifle then
		self._default_weapon_id = type(rifle_weapon_swap) == "table" and table.random(rifle_weapon_swap) or rifle_weapon_swap
	end
end)